AUDIT(2)

NAME
audit - write a record to the audit log

SYNOPSIS
#include <sys/label.h>
#include <sys/audit.h>

int audit (record)
audit_record_t *record;

DESCRIPTION

The audit() system call is used to write a record to the system audit log file. The data pointed to by record is written to the audit log file. The data should be a well-formed audit record as described by audit.log(5). The kernel sets the time stamp value in the record and performs a minimal check on the data before writing it to the audit log file.

Only the super-user may successfully execute this call.

RETURN VALUES

audit() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

ERRORS

EFAULT
    record points outside the process's allocated address space.

EINVAL
    The length specified in the audit record is too short, or more than MAXAUDITDATA.

EPERM
    The process's effective user ID is not super-user.

SEE ALSO
auditsvc(2), getauid(2), setuseraudit(2), audit_args(3), audit.log(5), auditd(8)